List Payments & Activity
curl --request GET \
--url https://api.example.com/api/v1/management/payments \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.example.com/api/v1/management/payments"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api.example.com/api/v1/management/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payments": [
{
"payment_id": "<string>",
"payment_source": "<string>",
"type": "<string>",
"status": "<string>",
"amount": "<string>",
"fee_amount": "<string>",
"net_amount": "<string>",
"currency": "<string>",
"merchant": {},
"customer": {},
"tx_hash": "<string>",
"created_at": "<string>",
"confirmed_at": "<string>"
}
]
}Payments
List Payments & Activity
Retrieve complete transaction history, including tap-to-pay payments and company treasury pool deposits/withdrawals.
GET
/
api
/
v1
/
management
/
payments
List Payments & Activity
Headers
string
required
Your test or live SDK API key (
pk_test_... or pk_live_...).Response Fields
array
Show Payment Item
Show Payment Item
string
Unique transaction identifier.
string
SESSION_KEY (Direct non-custodial tap) or POOL (Custodial pool debit).string
Type of activity:
PAYMENT (terminal tap-to-pay), DEPOSIT (treasury pool deposit), WITHDRAWAL (treasury pool withdrawal).string
Transaction status:
CONFIRMED, PENDING, FAILED, EXPIRED.string
Gross USDC transaction amount.
string
Platform transaction fee (0.5%).
string
Net amount delivered to merchant.
string
USDC.object
Merchant or treasury recipient details (
{ id, name }).object
Customer metadata and
sdk_device session details (device_id, runner_public_key, daily_spend_limit).string
On-chain transaction hash (if confirmed).
string
ISO 8601 timestamp of creation.
string
ISO 8601 timestamp of on-chain confirmation.
Response Example
{
"payments": [
{
"id": "pay_9hncyj2A5zl",
"payment_id": "pay_9hncyj2A5zl",
"payment_source": "SESSION_KEY",
"type": "PAYMENT",
"status": "CONFIRMED",
"amount": "10.000000",
"fee_amount": "0.050000",
"net_amount": "9.950000",
"currency": "USDC",
"merchant": {
"id": "cmsfcjpbp0001qr0fknw01uv8",
"name": "Merchant Store #1"
},
"customer": {
"wallet_address": "0xCustomer...",
"sdk_device": {
"device_id": "dev_cust_123",
"runner_public_key": "0xRunnerPublicKey...",
"daily_spend_limit": "500.000000"
}
},
"tx_hash": "0x70c36ca9338ca5a7c0df9a164f1a9cc4f2882f29ac1ad00cead1e41d7d02592e",
"created_at": "2026-08-07T10:28:57.269Z",
"expires_at": "2026-08-07T10:33:57.269Z",
"confirmed_at": "2026-08-07T10:29:03.371Z"
}
],
"pagination": {
"limit": 100,
"has_more": false
}
}
⌘I

